package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.TeaGardenPlotEntity;
import org.springframework.data.jpa.repository.JpaRepository;


/**
 * TypicalPlotDao
 * @author tajochen
 */
public interface TeaGardenPlotDao extends JpaRepository<TeaGardenPlotEntity,Integer> {

    /**
     * 根据 地块编号 查找
     * @param dkbh
     * @return
     */
    TeaGardenPlotEntity findAllByDkbh(String dkbh);

    /**
     * 查询所有地块根据状态
     * @param status
     * @return
     */
    Iterable<TeaGardenPlotEntity> findAllByStatus(Integer status);

}
